Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytype
Class Type

    java.lang.Object
      mycompiler.mytype.Type

Direct Known Subclasses:
  BaseType, GenericTypeVar, RefType, ReturnType, TyploseVariable

    public class Type

extends java.lang.Object

Field Summary
`boolean` | `hamaDebug`
`protected java.lang.String` | `name`
`protected UsedId` | `used`

Constructor Summary
`Type()`
`Type(java.lang.String s)`

Method Summary
`Type` | `clone()` Author: J�rg B�uerle
`boolean` | `equals(java.lang.Object obj)` Author: J�rg B�uerle
`java.lang.String` | `get_codegen_Type(de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_Name()`
`UsedId` | `get_UsedId()`
`java.lang.String` | `getName()`
`void` | `set_UsedId(UsedId uid)`
`java.lang.String` | `toString()` Author: J�rg B�uerle
`java.lang.String` | `Type2Key()`
`java.lang.String` | `Type2String()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hamaDebug

    public boolean hamaDebug

### name

    protected java.lang.String name

### used

    protected UsedId used

Constructor Detail

### Type

    public Type(java.lang.String s)

### Type

    public Type()

Method Detail

### set_UsedId

    public void set_UsedId(UsedId uid)

### get_UsedId

    public UsedId get_UsedId()

### get_Name

    public java.lang.String get_Name()

### get_codegen_Type

    public java.lang.String get_codegen_Type(de.dhbwstuttgart.typeinference.Menge paralist)

### Type2String

    public java.lang.String Type2String()

### Type2Key

    public java.lang.String Type2Key()

### getName

    public java.lang.String getName()

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `Object` -
  Returns:

### clone

    public Type clone()

  Author: J�rg B�uerle

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:

### toString

    public java.lang.String toString()

  Author: J�rg B�uerle

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD